Bug 1078839 - FTBFS: openSUSE:Factory/nant fails to build
FTBFS: openSUSE:Factory/nant fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Mono
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dirk Mueller
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-01 17:05 UTC by Dominique Leuenberger
Modified: 2018-03-15 15:39 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-01 17:05:38 UTC
The package nant fails to build in openSUSE:Factory. Earlier notifications by email to the bugowner and Maintainer have remained without reaction / fix. If the package is not being fixed within 2 weeks, it will be scheduled for removal from Tumbleweed
Comment 1 Dominique Leuenberger 2018-02-12 16:02:48 UTC
Assigning to Dirk, since this is actually rpmlint failing, not nant itself

[   65s] RPMLINT report:
[   65s] ===============
[   65s] 0 packages and 0 specfiles checked; 1 errors, 1 warnings.
[   65s] Traceback (most recent call last):
[   65s]   File "rpmlint.py", line 380, in <module>
[   65s]   File "rpmlint.py", line 166, in main
[   65s]   File "rpmlint.py", line 223, in runChecks
[   65s]   File "CheckPkgConfig.py", line 31, in check
[   65s]   File "AbstractCheck.py", line 51, in check
[   65s]   File "AbstractCheck.py", line 101, in check_binary
[   65s]   File "CheckPkgConfig.py", line 41, in check_file
[   65s]   File "./encodings/ascii.py", line 26, in decode
[   65s] UnicodeDecodeError: 'ascii' codec can't decode byte 0xef in position 0: ordinal not in range(128)


rpmlint as a py3 app just can't cope with non-utf8 locales in all cases.
Comment 2 Markus Beth 2018-02-12 22:09:27 UTC
rpmlint has a problem because the pkgconfig file nant.pc starts with a BOM. A possible fix can be found here https://build.opensuse.org/request/show/575923. It removes the BOM with a call to dos2unix -r within the %install section. I don't know if this is the preferred way, though.
Comment 3 Dominique Leuenberger 2018-03-15 15:39:17 UTC
r26 | dimstar_suse | 2018-02-14 09:52:30 | 4302e7b206a52287950112e2de5e39f6 | 0.92+git20130131 | rq576391